﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls.ChartView;

namespace WpfApplication20
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        ObservableCollection<Data> line1;
        public ObservableCollection<Data> Line1
        {
            get { return line1; }
            set { line1 = value; }
        }

        public Window1()
        {
            InitializeComponent();

            Line1 = new ObservableCollection<Data>();

            for (int i = 0; i < 35; i++)
            {
                Line1.Add(new Data(DateTime.Now.AddDays(i), i));
            }

            this.Loaded += new RoutedEventHandler(MainWindow_Loaded);

            RadChart1.MouseRightButtonDown += Chart_MouseRightButtonDown;
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            LineSeries lineSeries1 = new LineSeries();

            lineSeries1.CategoryBinding = new PropertyNameDataPointBinding("Time");
            lineSeries1.ValueBinding = new PropertyNameDataPointBinding("Value");
            lineSeries1.ItemsSource = Line1;

            RadChart1.Series.Add(lineSeries1);

            RadChart1.VerticalAxis = new LinearAxis() { Title = "Linear" };
            RadChart1.HorizontalAxis = new DateTimeCategoricalAxis() { Title = "DateTimeCategorical" };
            RadChart1.HorizontalAxis.LabelFormat = "dd/MM";
            RadChart1.Behaviors.Add(new ChartPanAndZoomBehavior() { ZoomMode = ChartPanZoomMode.Both, PanMode = ChartPanZoomMode.Both });
        }

        private void Chart_MouseRightButtonDown(object sender, System.Windows.Input.MouseEventArgs e)
        {
            RadChart1.Zoom = new Size(3, 1);
            RadChart1.PanOffset = new Point(0, 0); 
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            RadChart1.Zoom = new Size(1, 1);
            RadChart1.PanOffset = new Point(0, 0);
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            RadChart1.Behaviors.Clear();
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            RadChart1.Behaviors.Add(new ChartPanAndZoomBehavior() { PanMode = ChartPanZoomMode.Both, ZoomMode = ChartPanZoomMode.Both });
        }
    }
}
